#include <avr/io.h>
#include <stdint.h>
#include <avr/interrupt.h>

volatile uint8_t	 DmxRxField[16]; 		//array of DMX vals (raw)
volatile uint16_t	 DmxAddress;			//start address
volatile uint16_t	 DmxSize;				//size of DMX universe 
volatile uint16_t	 DmxRefresh;			//no of DMX packets/s (packet = Universe)
volatile uint8_t	 RdmRefresh;			//no of RDM packets/s
volatile uint8_t	 ErrRefresh;			//no of invalid packets

		 uint16_t	 BreakLen;				//length of break in us
		 uint16_t	 MabLen;				//length of mab in us
		 uint16_t	 IbgLen;				//length of interbyte gab


extern void    init_DMX_RX(void);
extern void    get_DmxLen(void);
extern uint8_t check_signal(void);
